This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 564538 - Facelets error page when package's instructions VIEW link opened to a standalone window
Facelets error page when package's instructions VIEW link opened to a standal...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.3
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: ews1.0.2 rhq_spearhead
  Show dependency treegraph
 
Reported: 2010-02-12 22:37 EST by Ondřej Žižka
Modified: 2013-09-02 03:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:16:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2010-02-12 22:37:31 EST
StR:

1) Go to Tomcat (8080) > Tomcat VHost (localhost) > Tomcat WAR (/servlets-examples)
2) Follow to CONTENT > NEW
3) Upload any war
4) Now in the "Review Packages", there's a table with Instructions column.
   Open the link in new browser tab/window:
   http://<host>:7080/rhq/resource/content/create.xhtml#
5) You'll get a Facelets error page with some stacktrace.

Even when relying on JavaScript, the links should either point to valid URLs, or some other element should be used. Using href="#" isn't enough in this case because the previous request was POST, thus no params are transferred.


------------
Caused by: java.lang.IllegalStateException: Required request parameter 'id' is missing.
	at org.rhq.core.gui.util.FacesContextUtility.getRequiredRequestParameter(FacesContextUtility.java:106)
	at ...
Comment 1 Ondřej Žižka 2010-02-12 22:40:47 EST
The same happens when you leave JON for a while (e.g. to write a bug-report :) and then click the VIEW link: You are redirected to the login page, and then to the requested URL, which happens to be that parameter-less URL again.
Comment 2 wes hayutin 2010-02-16 11:52:26 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:58:13 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-02-16 15:24:53 EST
Should this be filed under Plugins?
Comment 8 Charles Crouch 2011-03-08 08:08:01 EST
Deploying content via the CONTENT > NEW tabs is not a supported deployment model. Deploying new apps should be done via the INVENTORY tab and the Create New dropdown
Comment 9 Stefan Negrea 2011-10-18 18:31:23 EDT
The old UI generates javascript for navigation. The code does not work because of the GWT integration and GWT navigation mechanism. Since the functionality described by the ticket is not supported anyway, I removed the View link (and associated text) from that component. 

I also removed a navigation link in the History -> Full Package Audit Trail -> View page because of similar behaviour.
Comment 10 Heiko W. Rupp 2013-09-02 03:16:13 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.